Package org.eclipse.wst.xsl.ui.internal.contentassist

## org.eclipse.wst.xsl.ui.internal.contentassist
Class TestAttributeContentAssist

    public class TestAttributeContentAssist
    extends org.eclipse.wst.xsl.ui.internal.contentassist.SelectAttributeContentAssist

This class provides content assistance for the xsl <emphasis>test</emphais> attribute.

## Constructor Summary

`TestAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()` (non-Javadoc)

## Constructor Detail

## TestAttributeContentAssist

`public TestAttributeContentAssist(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

Constructor for the XSL content assistance for the test attribute.

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

(non-Javadoc)

### Returns

`java.util.ArrayList`